PG日誌

読者です 読者をやめる 読者になる 読者になる

PG日誌

主にc#の事を書いています

Exlipse 4.4 LunaでのSVN 1.9のリポジトリに接続する


f:id:Takachan:20170115150341j:plain

こんな事してる人もうこの世に存在しないのかな?それとも使ってる環境のせいなのか・・・

環境

  • Eclipse4.4 Luna (Pleiades Full版)
  • Subversive 4.0 (これ以下ならマーケットからアプデしてください)

この環境でHTTPでホストされていないファイルベースのSVN1.9で作成したリポジトリへ接続しようとすると接続エラーになる問題の対処方法です。

SVNKitが1.8.5とか1.8.7だと接続できないので

以下手順で、SVNKit(SVN Connecter)を最新バージョン(1.9対応版)に更新します。

ヘルプ > 新規ソフトウェアのインストール

から以下URLを入力して

http://community.polarion.com/projects/subversive/download/eclipse/6.0/update-site/?dir=features

で表示される内容から以下を選択します。

  • JavaHL 1.8.15 Win32
  • JavaHL 1.9.3 Win32
  • 他にもあれば全部チェック入れておく

途中で代替案が提案されたらそれらも全部入れれば、インストール完了後に再起動すると

“Connector Discovery"ウインドウが表示されてSVN Kitが選択できるようになります。

そこからまた、全部チェック入れてクライアントを更新しましょう。

更新したら

設定 > チーム > SVN > SVNクライアント[Tab]

から

SVNクライアント = Native JavaHL 1.8.15 rxxxxxx (SVN 1.8.15)

を選択すれば1.9を含む過去バージョンのリポジトリに接続できるようになります。

乱暴すぎて、選択項目が正しいか不明ですが上記URLが分かれば大丈夫だと思います。